Devuan bug report logs - #794
vlc: GUI disappears when selecting File->open multiple files

version graph

Package: vlc; Maintainer for vlc is (unknown); Source for vlc is src:vlc.

Reported by: Fabien R <theedge456@free.fr>

Date: Sat, 16 Sep 2023 13:24:02 UTC

Severity: normal

Tags: debian

Found in version 3.0.18-2

Forwarded to https://bugs.debian.org/1052081

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#794; Package vlc. (Sat, 16 Sep 2023 13:24:02 GMT) (full text, mbox, link).


Acknowledgement sent to Fabien R <theedge456@free.fr>:
New bug report received and forwarded. Copy sent to devuan-dev@lists.dyne.org. (Sat, 16 Sep 2023 13:24:06 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.devuan.org (full text, mbox, reply):

From: Fabien R <theedge456@free.fr>
To: Devuan Bug Tracking System <submit@bugs.devuan.org>
Subject: vlc: GUI disappears when selecting File->open multiple files
Date: Sat, 16 Sep 2023 15:15:29 +0200
Package: vlc
Version: 3.0.18-2
Severity: normal

Dear Maintainer,

   * What led up to the situation?
   	Click on File->open multiple files or
		 File->open directory or 
		 File->open disk or
		 File->open network stream or
		 File->open capture devide     
   * What was the outcome of this action?
   The GUI disappears with the following message on the console:
   	ASSERT failure in QList<T>::operator[]: "index out of range", file /usr/include/x86_64-linux-gnu/qt5/QtCore/qlist.h, line 579
	Aborted	


-- System Information:
Distributor ID:	Devuan
Description:	Devuan GNU/Linux 5 (daedalus)
Release:	5
Codename:	daedalus
Architecture: x86_64

Kernel: Linux 6.1.52 (SMP w/8 CPU threads; PREEMPT)
Kernel taint flags: TAINT_UNSIGNED_MODULE
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8), LANGUAGE not set
Shell: /bin/sh linked to /usr/bin/dash
Init: sysvinit (via /sbin/init)

Versions of packages vlc depends on:
ii  vlc-bin                  3.0.18-2
ii  vlc-plugin-base          3.0.18-2
ii  vlc-plugin-qt            3.0.18-2
ii  vlc-plugin-video-output  3.0.18-2

Versions of packages vlc recommends:
ii  vlc-l10n                   3.0.18-2
ii  vlc-plugin-access-extra    3.0.18-2
ii  vlc-plugin-notify          3.0.18-2
pn  vlc-plugin-samba           <none>
ii  vlc-plugin-skins2          3.0.18-2
ii  vlc-plugin-video-splitter  3.0.18-2
ii  vlc-plugin-visualization   3.0.18-2

Versions of packages vlc suggests:
pn  vlc-plugin-fluidsynth  <none>
pn  vlc-plugin-jack        <none>
pn  vlc-plugin-pipewire    <none>
pn  vlc-plugin-svg         <none>

Versions of packages libvlc-bin depends on:
ii  libc6    2.36-9+deb12u1
ii  libvlc5  3.0.18-2

Versions of packages libvlc5 depends on:
ii  libc6        2.36-9+deb12u1
ii  libvlccore9  3.0.18-2

Versions of packages libvlc5 recommends:
ii  libvlc-bin  3.0.18-2

Versions of packages vlc-bin depends on:
ii  libc6       2.36-9+deb12u1
ii  libvlc-bin  3.0.18-2
ii  libvlc5     3.0.18-2

Versions of packages vlc-plugin-access-extra depends on:
ii  libc6                                2.36-9+deb12u1
ii  libsrt1.5-gnutls                     1.5.1-1
ii  libvlccore9 [vlc-plugin-abi-3-0-0f]  3.0.18-2
ii  libvncclient1                        0.9.14+dfsg-1
ii  libxcb-composite0                    1.15-1
ii  libxcb-shm0                          1.15-1
ii  libxcb1                              1.15-1

Versions of packages vlc-plugin-base depends on:
ii  liba52-0.7.4                         0.7.4-20
ii  libarchive13                         3.6.2-1
ii  libaribb24-0                         1.0.3-2
ii  libasound2                           1.2.8-1+b1
ii  libass9                              1:0.17.1-1
ii  libavahi-client3                     0.8-10devuan1
ii  libavahi-common3                     0.8-10devuan1
ii  libavc1394-0                         0.5.4-5
ii  libavcodec59                         7:5.1.3-1
ii  libavformat59                        7:5.1.3-1
ii  libavutil57                          7:5.1.3-1
ii  libbluray2                           1:1.3.4-1
ii  libc6                                2.36-9+deb12u1
ii  libcairo2                            1.16.0-7
ii  libcddb2                             1.3.2-7
ii  libchromaprint1                      1.5.1-2+b1
ii  libdav1d6                            1.0.0-2
ii  libdbus-1-3                          1.14.6-1devuan1
ii  libdc1394-25                         2.2.6-4
ii  libdca0                              0.0.7-2
ii  libdvbpsi10                          1.3.3-1
ii  libdvdnav4                           6.1.1-1
ii  libdvdread8                          6.1.3-1
ii  libebml5                             1.4.4-1
ii  libelogind-compat [libsystemd0]      246.10-5
ii  libeudev1 [libudev1]                 3.2.12-1
ii  libfaad2                             2.10.1-1
ii  libflac12                            1.4.2+ds-2
ii  libfontconfig1                       2.14.1-4
ii  libfreetype6                         2.12.1+dfsg-5
ii  libfribidi0                          1.0.8-2.1
ii  libgcc-s1                            12.2.0-14
ii  libgcrypt20                          1.10.1-3
ii  libglib2.0-0                         2.74.6-2
ii  libgnutls30                          3.7.9-2
ii  libgpg-error0                        1.46-1
ii  libharfbuzz0b                        6.0.0+dfsg-3
ii  libixml10                            1:1.8.4-2
ii  libjpeg62-turbo                      1:2.1.5-2
ii  libkate1                             0.4.1-11
ii  liblirc-client0                      0.10.1-7.2
ii  liblua5.2-0                          5.2.4-3
ii  libmad0                              0.15.1b-10.1+b1
ii  libmatroska7                         1.7.1-1
ii  libmpcdec6                           2:0.1~r495-2
ii  libmpeg2-4                           0.5.1-9
ii  libmpg123-0                          1.31.2-1
ii  libmtp9                              1.1.20-1
ii  libncursesw6                         6.4-4
ii  libnfs13                             4.0.0-1
ii  libogg0                              1.3.5-3
ii  libopenmpt-modplug1                  0.8.9.0-openmpt1-2+b1
ii  libopus0                             1.3.1-3
ii  libpng16-16                          1.6.39-2
ii  libpostproc56                        7:5.1.3-1
ii  libprotobuf-lite32                   3.21.12-3
ii  libpulse0                            16.1+dfsg1-2+b1
ii  libraw1394-11                        2.1.2-2
ii  libresid-builder0c2a                 2.1.1-15+b1
ii  librsvg2-2                           2.54.7+dfsg-1~deb12u1
ii  libsamplerate0                       0.2.2-3
ii  libsdl-image1.2                      1.2.12-13+b2
ii  libsdl1.2debian                      1.2.15+dfsg2-8
ii  libsecret-1-0                        0.20.5-3
ii  libshine3                            3.1.1-2
ii  libshout3                            2.4.6-1+b1
ii  libsidplay2                          2.1.1-15+b1
ii  libsoxr0                             0.1.3-4
ii  libspatialaudio0                     0.3.0+git20180730+dfsg1-2+b1
ii  libspeex1                            1.2.1-2
ii  libspeexdsp1                         1.2.1-1
ii  libssh2-1                            1.10.0-3+b1
ii  libstdc++6                           12.2.0-14
ii  libswscale6                          7:5.1.3-1
ii  libtag1v5                            1.13-2
ii  libtheora0                           1.1.1+dfsg.1-16.1+b1
ii  libtinfo6                            6.4-4
ii  libtwolame0                          0.4.0-2
ii  libudev1                             1:3.2.9+devuan4
ii  libupnp13                            1:1.8.4-2
ii  libvlccore9 [vlc-plugin-abi-3-0-0f]  3.0.18-2
ii  libvorbis0a                          1.3.7-1
ii  libvorbisenc2                        1.3.7-1
ii  libx264-164                          2:0.164.3095+gitbaee400-3
ii  libx265-199                          3.5-2+b1
ii  libxcb-keysyms1                      0.4.0-1+b2
ii  libxcb1                              1.15-1
ii  libxml2                              2.9.14+dfsg-1.3~deb12u1
ii  libzvbi0                             0.2.41-1
ii  vlc-data                             3.0.18-2
ii  zlib1g                               1:1.2.13.dfsg-1

Versions of packages vlc-plugin-base recommends:
ii  xdg-utils  1.1.3-4.1

Versions of packages vlc-plugin-base suggests:
ii  libdvd-pkg [libdvdcss2]  1.4.3-1-1
ii  libdvdcss2               1.4.3-1~local

Versions of packages vlc-plugin-notify depends on:
ii  libc6                                2.36-9+deb12u1
ii  libgdk-pixbuf-2.0-0                  2.42.10+dfsg-1+b1
ii  libglib2.0-0                         2.74.6-2
ii  libgtk-3-0                           3.24.37-2
ii  libnotify4                           0.8.1-1
ii  libvlccore9 [vlc-plugin-abi-3-0-0f]  3.0.18-2

Versions of packages vlc-plugin-qt depends on:
ii  libc6                                2.36-9+deb12u1
ii  libgcc-s1                            12.2.0-14
ii  libqt5core5a                         5.15.8+dfsg-11
ii  libqt5gui5                           5.15.8+dfsg-11
ii  libqt5svg5                           5.15.8-3
ii  libqt5widgets5                       5.15.8+dfsg-11
ii  libqt5x11extras5                     5.15.8-2
ii  libstdc++6                           12.2.0-14
ii  libvlccore9 [vlc-plugin-abi-3-0-0f]  3.0.18-2
ii  libwayland-client0                   1.21.0-1
ii  libx11-6                             2:1.8.4-2+deb12u1

Versions of packages vlc-plugin-qt recommends:
ii  vlc-bin  3.0.18-2

Versions of packages vlc-plugin-skins2 depends on:
ii  fonts-freefont-ttf                   20120503-10
ii  libc6                                2.36-9+deb12u1
ii  libfreetype6                         2.12.1+dfsg-5
ii  libfribidi0                          1.0.8-2.1
ii  libgcc-s1                            12.2.0-14
ii  libstdc++6                           12.2.0-14
ii  libvlccore9 [vlc-plugin-abi-3-0-0f]  3.0.18-2
ii  libx11-6                             2:1.8.4-2+deb12u1
ii  libxext6                             2:1.3.4-1+b1
ii  libxinerama1                         2:1.1.4-3
ii  libxpm4                              1:3.5.12-1.1
ii  vlc-plugin-qt                        3.0.18-2

Versions of packages vlc-plugin-skins2 recommends:
ii  vlc-bin  3.0.18-2

Versions of packages vlc-plugin-video-output depends on:
ii  libaa1                               1.4p5-50
ii  libavcodec59                         7:5.1.3-1
ii  libavutil57                          7:5.1.3-1
ii  libc6                                2.36-9+deb12u1
ii  libcaca0                             0.99.beta20-3
ii  libegl1                              1.6.0-1
ii  libgl1                               1.6.0-1
ii  libgles2                             1.6.0-1
ii  libplacebo208                        4.208.0-3
ii  libva-drm2                           2.17.0-1
ii  libva-wayland2                       2.17.0-1
ii  libva-x11-2                          2.17.0-1
ii  libva2                               2.17.0-1
ii  libvlccore9 [vlc-plugin-abi-3-0-0f]  3.0.18-2
ii  libwayland-client0                   1.21.0-1
ii  libwayland-egl1                      1.21.0-1
ii  libx11-6                             2:1.8.4-2+deb12u1
ii  libxcb-keysyms1                      0.4.0-1+b2
ii  libxcb-shm0                          1.15-1
ii  libxcb-xv0                           1.15-1
ii  libxcb1                              1.15-1

Versions of packages vlc-plugin-video-splitter depends on:
ii  libc6                                2.36-9+deb12u1
ii  libvlccore9 [vlc-plugin-abi-3-0-0f]  3.0.18-2
ii  libxcb-randr0                        1.15-1
ii  libxcb1                              1.15-1

Versions of packages vlc-plugin-visualization depends on:
ii  libc6                                2.36-9+deb12u1
ii  libgl1                               1.6.0-1
ii  libvlccore9 [vlc-plugin-abi-3-0-0f]  3.0.18-2

-- no debconf information

Information forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#794; Package vlc. (Sat, 16 Sep 2023 15:48:01 GMT) (full text, mbox, link).


Message #8 received at 794@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: Fabien R <theedge456@free.fr>, 794@bugs.devuan.org
Subject: Re: bug#794: vlc: GUI disappears when selecting File->open multiple files
Date: Sat, 16 Sep 2023 16:45:41 +0100
Control: tags -1 debian

Fabien,

Thanks for this.

On Sat, Sep 16, 2023 at 03:15:29PM +0200, Fabien R wrote:
> Package: vlc
> Version: 3.0.18-2
> Severity: normal

However, src:vlc is not a forked package and Devuan uses Debian's packages
directly without recompilation. Please report this issue directly to Debian's
BTS to be addressed.

Thanks.

Mark

Added tag(s) debian. Request was from Mark Hindley <mark@hindley.org.uk> to 794-submit@bugs.devuan.org. (Sat, 16 Sep 2023 15:48:02 GMT) (full text, mbox, link).


Information forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#794; Package vlc. (Tue, 19 Sep 2023 16:28:02 GMT) (full text, mbox, link).


Message #13 received at 794@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: Fabien R <theedge456@free.fr>, 794@bugs.devuan.org
Subject: Re: bug#794: vlc: GUI disappears when selecting File->open multiple files
Date: Tue, 19 Sep 2023 17:26:50 +0100
Control: forwarded -1 https://bugs.debian.org/1052081	

On Sat, Sep 16, 2023 at 04:45:41PM +0100, Mark Hindley wrote:
> Please report this issue directly to Debian's
> BTS to be addressed.

Many thanks for doing that.

Mark

Set bug forwarded-to-address to 'https://bugs.debian.org/1052081'. Request was from Mark Hindley <mark@hindley.org.uk> to 794-submit@bugs.devuan.org. (Tue, 19 Sep 2023 16:28:03 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Sat Apr 20 19:18:43 2024;